Package: org.codehaus.groovy.vmplugin.v5

## [Java] Class Java5

- org.codehaus.groovy.vmplugin.v5.Java5

- All Implemented Interfaces and Traits:
    VMPlugin

      public class Java5
      extends Object

  java 5 based functions

  Authors:
    Jochen Theodorou

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `configureAnnotation(AnnotationNode node)`
    `` | `void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
    `` | `Object` | `getInvokeSpecialHandle(Method m, Object receiver)`
    `` | `Class[]` | `getPluginDefaultGroovyMethods()`
    `` | `Class[]` | `getPluginStaticGroovyMethods()`
    `` | `int` | `getVersion()`
    `` | `void` | `invalidateCallSites()`
    `` | `Object` | `invokeHandle(Object handle, Object[] args)`
    `` | `void` | `setAdditionalClassInformation(ClassNode cn)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public void configureAnnotation(AnnotationNode node)

    - #### public void configureClassNode(CompileUnit compileUnit, ClassNode classNode)

    - #### @Override public Object getInvokeSpecialHandle(Method m, Object receiver)

    - #### public Class[] getPluginDefaultGroovyMethods()

    - #### public Class[] getPluginStaticGroovyMethods()

    - #### @Override public int getVersion()

    - #### public void invalidateCallSites()

    - #### @Override public Object invokeHandle(Object handle, Object[] args)

    - #### public void setAdditionalClassInformation(ClassNode cn)